Cursos Servidores con Centos 6
Sistema Operativo ALDOS
Dezoft

Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

Disponible ALDOS 1.4.14.2 20191209

Está disponible ALDOS 1.4.14.2-20191209 —alias Librepensador. Detalles a continuación.

Imágenes ISO para descargar.

Requerimientos mínimos.

Por favor preferir descargar y utilizar ALDOS 1.4.14.2 de 64 bits (x86_64) pues es la versión adecuada para equipos modernos. La versión de 32 bits es sólo para equipos antiguos como los primeros ultra-portátiles Acer Aspire One.

  • ALDOS 1.4.14.2 de 64 bits (x86_64):

    • Al menos Intel Pentium Dual Core, Intel Atom D2550 (Cedarview) o AMD Athlon64. Recomendado: cualquier microprocesador reciente de AMD o Intel.
    • Al menos 1 GB RAM. Recomendado 4 GB RAM.
    • Al menos 6 GB de almacenamiento.
  • ALDOS 1.4.14.2 de 32 bits (i686):

    • Al menos Intel Atom (ejemplo: primeros modelos de Acer Aspire One).
    • Al menos 1 GB RAM. Recomendado 2 GB RAM.
    • Al menos 6 GB de almacenamiento.

A fin de mantener compactibilidad con equipos viejos la imagen ISO para 32 bits tiene un límite de 2 GB para reconocimiento de memoria RAM. Instalando el paquete kernel-PAE se dispone de un soporte para hasta 32 GB RAM en microprocesadores de 32 bit.

Los cambios más relevantes respecto de lanzamiento de 2018.

  • Kernel 4.19 LTS.
  • Versiones más recientes de coreutils, util-linux y bash.
  • Xorg 1.20.6 + Mesa 19.1.
  • MATE Desktop 1.22.
  • Menú de MATE Desktop es ahora Brisk-Menu, reemplazando MATE-Menu.
  • Celluloid (basado sobre MPV) como reproductor de video predeterminado. Reemplaza a Xplayer.
  • Audacious como reproductor de música predeterminado.
  • Depuración de paquetes en el Disco Vivo.
  • LibreOffice 6.0 (ultra-estable y sólido como roca) (en enero o febrero de 2020 se actualizará a la versión 6.1 o 6.2).
  • Firefox 68 LTS.
  • LLVM 7.0.1.
  • Qt5 5.9 LTS.
  • KDE Framework 5.52.
  • Se añadieron más de 100 nuevas aplicaciones de escritorio disponibles en AppCenter (tienda de aplicaciones predeterminada en ALDOS), incluyendo varias aplicaciones populares de Elementary Linux que no están disponibles en distribuciones basadas sobre Fedora/CentOS.
  • Instalación predeterminada de Disco Vivo ahora incluye openssh-server (a solicitud de varios usuarios).
  • Anaconda (instalador) actualizó de la versión 14 a la versión 17, lo cual permite ahora instalar el sistema con...
  • Grub2.
  • Más de 26 mil paquetes disponibles en almacenes YUM.
  • ALDOS incluye por defecto soporte para Flatpak y AppImage para quienes requieran instalar paquetes o versiones de paquetes no incluidos en ALDOS (ejemplo: AnyDesktop, Spotify, la versión más reciente de Gimp, etc.).
  • Soporte para las funciones de los microprocesadores más recientes de AMD.
  • Configuración automática de Zram, misma que se activa con el segundo reinicio del sistema.
  • Clang 7.0.1, GCC 6.4.1 y GCC 7.3.1 están disponibles como compiladores alternativos. ALDOS 1.4.14.2 está compilado en su mayor parte con GCC 4.8.5 (misma versión usada por RHEL7/CentOS7).
  • Sí, ALDOS da prioridad a los lanzamientos de software con soporte de largo plazo (LTS).

Entornos de escritorio y gestores de ventanas soportados disponibles para instalar.

  • Entornos de escritorio.

    • MATE Desktop 1.22 (predeterminado).
      • Para reinstalar ejecutar: yum groupinstall mate-desktop
    • Xfce4 4.14.
      • Para instalar ejecutar: yum groupinstall xfce-desktop
    • LXQt 1.14.
      • Para instalar ejecutar: yum groupinstall lxqt-desktop
    • Plasma Desktop 5.12 LTS.
      • Para instalar ejecutar: yum groupinstall kde-desktop
    • Lumina Desktop 1.5.

      • Para instalar ejecutar: yum install lumina-desktop
    • Gestores de ventanas.

    • WindowMaker.

      • Para instalar ejecutar: yum install WindowMaker
    • AfterStep.

      • Para instalar ejecutar: yum install AfterStep
    • Enlightenment 0.16.

      • Para instalar ejecutar: yum install e16
    • Fluxbox.

      • Para instalar ejecutar: yum install fluxbox
    • OpenBox.

      • Para instalar ejecutar: yum install openbox

Cualquier otro entorno de escritorio o gestor de ventanas carece de soporte oficial.

Problemas conocidos (de relevancia).

  • Gimp en ALDOS 1.4.14.2 sólo está disponible en la versión 2.10.4, debido a que versiones posteriores de éste requieren de manera obligada que el sistema esté compilado con libpng 1.5. Está listo disponible en el BETA de ALDOS 1.4.15.
  • Si se instala y usa Xfce4, es importante destacar que xfce4-screensaver y mate-screensaver hacen conflicto en la sesión de Xfce4. Eliminar del sistema mate-screensaver o bien renombrar /usr/bin/mate-screensaver evita el incorrecto funcionamiento de Xfce4-screensaver.
  • Ventanas de máquinas virtuales con VirtualBox no se pueden mover en MATE Desktop. Funcionan perfectamente en otros entornos de escritorio.
  • ALDOS carece de soporte para Secure Boot. Por favor deshabilitar dicha función en UEFI para poder instalar y utilizar ALDOS.
  • El icono de la bandeja de estado de Qownnotes no muestra menú contextual en área de notificación de el panel de MATE Desktop después de iniciar sesión por segunda vez. Funciona correctamente en otros entornos de escritorio. Sugerencia: evitar utilizar el icono de estado de Qownnotes.
  • Reproductores de video sólo desactivan el salva-pantallas en MATE Desktop, Cinnamon Desktop, GNOME Desktop y Plasma Desktop. En Xfce4 recomiendo utilizar Parole como reproductor de video, pues éste tiene perfecta integración con dicho entorno de escritorio.
  • Teamviwer requiere instalar elogind y reiniciar el sistema.
  • DropBox requiere realizar un procedimiento descrito en: http://www.alcancelibre.org/staticpages/index.php/notas-lanzamiento-aldos-1-4#dropbox

Recomendaciones de paquetes adicionales.

Mis recomendaciones personales van marcadas con un +.

Tiendas de aplicaciones soportados disponibles en ALDOS.

  • + GNOME Software
  • + Plasma Discovery

Clientes de correo electrónico soportados disponibles en ALDOS.

  • + Thunderbird
  • Evolution
  • + Claws Mail
  • Sylpheed
  • Kmail
  • Mutt
  • Geary

Reproductores de video alternativos soportados disponibles en ALDOS.

  • Basados sobre Gstreamer:

    • Xplayer
    • Totem
    • PlayMyVideos
    • GNOME Videos
    • Lollypop
  • Basados sobre MPV:

    • + SMPlayer
    • + MPV
    • Minitube
  • Basados sobre sus propios motores:

    • Xine-ui
    • + VLC
    • Mplayer

Reproductores de música alternativos soportados disponibles en ALDOS.

  • Basados sobre Gstreamer:

    • Cantata
    • Elementary Music
    • Juk
    • Noise
    • Noise
    • PlayMyMusic
    • Qomp
    • + Quod Libet
    • RhythmBox
    • + Strawberry (bifurcación de Clementine en Qt5 con desarrollo muy activo)
  • Basados sobre MPV:

    • Musique
    • + Yarock
  • Basados sobre sus propios motores:

    • Aqualung
    • Cmus (reproductor de música para modo consola)
    • + Qmmp

Navegadores alternativos soportados disponibles en ALDOS:

Firefox es el navegador predeterminado en ALDOS 1.4.14.2. Hay otras alternativas para quien así lo requiera.

  • Basados sobre WebKit2:

    • + Epiphany 3.30
    • + Midori 9
    • Ephemeral
  • Basados sobre Qt5WebEngine (Blink):

    • + Falkon (antes Qupzilla)
    • Konqueror
    • Componente de navegador Web de Eric2
    • + Qute Browser
    • Otter Browser (clon del clásico Opera Browser, aunque no es muy estable pero sí es interesante)
  • Navegadores simples y ligeros (sin soporte para JavaScript y multimedios):

    • + Netsurf (soporte para HTML 5.0 y CSS 3.0) (personalmente creo es el mejor y más completo de los navegadores ligeros).
    • Links (soporte para HTML 4.0 y algo de CSS) (con la opción -g muestra gráficos o haciendo clic en la entrada del menú).
    • Lynx (soporte para HTML 4.0) (sólo modo consola)
    • w3m (soporte para HTML 4.0) (sólo modo consola)
    • Dillo (HTML 3.0)

Editores de video soportados disponibles en ALDOS:

  • Avidemux
  • Flowblade
  • + Kdenlive
  • + OpenShot
  • Pitivi
  • + Shotcut

Habilitar Flathub en Flatpak.

Flatpak viene instalado de modo predeterminado desde hace un par de años en ALDOS. Ejecute lo siguiente para habilitar Flathub:

sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Para instalar una aplicación, ir a https://flathub.org/ y buscar la aplicación deseada. Luego hacer clic en el enlace de la aplicación y ejecutar en terminal las instrucciones incluidas.

Ejemplo.

Para instalar el cliente de Spotify:

sudo flatpak install flathub com.spotify.Client

La mayoría de las aplicaciones crean las entradas en el menú del entrono de escritorio y se pueden ejecutar desde ahí mismo.

También se puede ejecutar algo similar a lo siguiente desde una terminal:

flatpak run com.spotify.Client

Ejecute algo similar a lo siguiente para eliminar una aplicación en Flatpak:

sudo flatpak uninstall com.spotify.Client

ALDOS Plus.

ALDOS-Plus es un almacén YUM que incluye paquetes que son estables pero que es imposible incluir en el Disco Vivo por incompatibilidades con la versión de Anaconda (instalador del sistema operativo) utilizada en ALDOS. Incluye lo siguiente:

  • NetworkManager 1.12.
  • Plymouth 0.9.4.
  • Dracut 046.
  • GNOME Shell.
  • Cinnamon Desktop.
  • Dependencias específicas de la combinación de todo lo anterior que incluyen Elogind.

Ejecutar lo siguiente para habilitar:

yum-config-manager --enable ALDOS-Plus

Advertencias.

  • También están disponibles en ALDOS los entornos de escritorio GNOME3, Cinnamon y Elementary habilitando el almacén YUM denominado ALDOS-Plus, sin embargo éstos requieren Elogind. Funcionan correctamente pero la instalación de Elogind hace conflicto con ConsoleKit e impedirá funcionen correctamente otros entornos de escritorio. En el ALPHA de ALDOS 1.4.16 están casi lista la migración de ConsoleKit hacia Elogind.
  • Utilizar preferentemente la versión para 64bits (x86_64). Sólo descargar e instalar la versión de 32bits (i686) para equipos de 32 bits, como es el caso de los primeros modelos de Acer Aspire One y cualquier CPU anterior a Pentium Dual Core. El requerimiento mínimo para ALDOS de 32bits es Pentium III pero está optimizado para Intel Atom.
  • ALDOS es una bifurcación de Fedora sin SystemD, complementado con algunos paquetes de CentOS 7. Originalmente estaba basado sobre Fedora 14, pero todos los paquetes han sido actualizados para utilizar versiones y tecnologías modernas.
  • Por favor evitar instalar y utilizar aplicaciones basadas sobre Electrón. Son muy bonitas y populares, pero consumen demasiados recursos de sistema y agotan rápidamente las baterías de portátiles. Personalmente considero inaceptable que un simple "Hola Mundo" consuma 100 MB de RAM. Me parece una mala idea desarrollar aplicaciones de escritorio hechas en JavaScript. Por favor preferir utilizar aplicaciones nativas a fin de contribuir a parar la abominación de aplicaciones de escritorio escritas en JavaScript.

Versiones de desarrollo de ALDOS.

Características que se postergaron para ALDOS 1.4.15 (BETA) y 1.4.16 (ALPHA).

  • Sistema compilado con GCC7.
    • La versión de OpenSSH usada en ALDOS (misma versión de CentOS 7) no compila con GCC7.
    • Probablemente migremos en unas semanas a la versión de OpenSSH de CentOS 8.
    • Casi listo en el BETA de ALDOS 1.4.15.
  • NSS 3.44.
    • La versión de Glibc usada en ALDOS no compila con NSS 3.44.
    • Casi listo en el BETA de ALDOS 1.4.15.
  • Todo los paquetes de sistema dependientes de LibPNG compilados con LibPNG 1.6.
    • Va de la mano de todo lo anterior.
    • Está listo en el BETA de ALDOS 1.4.15.
  • Qt5 5.12.
    • Va de la mano de todo lo anterior.
    • Requiere GCC7.
    • Se puede compilar con los paquetes alternativos de GCC7, pero implica mucho trabajo que ya está hecho en el BETA de ALDOS 1.4.15.
    • Está listo en el BETA de ALDOS 1.4.15.
  • KDE Framework 5.64.
    • Va de la mano de todo lo anterior.
    • Requiere GCC7.
    • Se puede compilar con los paquetes alternativos de GCC7, pero implica mucho trabajo que ya está hecho en el BETA de ALDOS 1.4.15.
    • Está listo en el BETA de ALDOS 1.4.15.
  • KDE Applications 19.08.3.
    • Va de la mano de todo lo anterior.
    • Requiere GCC7.
    • Se puede compilar con los paquetes alternativos de GCC7, pero implica mucho trabajo que ya está hecho en el BETA de ALDOS 1.4.15.
  • Gimp 2.10.14.
    • Requiere GCC7 y LibPNG 1.5.
    • Se puede instalar de manera alternativa con Flatpak y AppImage.
    • Está listo en el BETA de ALDOS 1.4.15.
  • Elogind en lugar de ConsoleKit2.
    • Falta realizar más pruebas, sobre todo para permitir una actualización limpia.
    • Casi listo en el ALPHA de ALDOS 1.4.16.

Disponibilidad del BETA de ALDOS 1.4.15.

Está agendado se publique durante el primer semestre de 2020.

Los paquetes correspondientes al BETA de ALDOS 1.4.15 (no hay imágenes ISO) están disponible en http://mirror1.alcancelibre.org/aldos/1.4/beta/ para arquitecturas x86_64 e i686. Debido a limitaciones de espacio disponible, mirror1.alcancelibre.org es el único servidor donde están alojados dichos paquetes.

Características:

  • Sistema compilado con GCC7.
  • Sistema compilado con LibPNG 1.6
  • Qt5 5.12 LTS.
  • KDE Framework 5.64.
  • KDE Applications 19.08.3.
  • NSS 3.44.
  • Versión más reciente de Gimp.
  • Versión más reciente de Krita.

Para probar es necesario instalar primero ALDOS-1.4.14.2-20191209 y crear el siguiente almacén YUM como el archivo /etc/yum.repos.d/ALDOS-Beta.repo:

[ALDOS-Beta]
name=ALDOS BETA $releasever - $basearch
baseurl=http://mirror1.alcancelibre.org/aldos/1.4/beta/$basearch/
gpgkey=file:///etc/pki/rpm-gpg/AL-RPM-KEY
gpgcheck=1
enabled=1

Disponibilidad del ALPHA de ALDOS 1.4.16.

Está agendado se publique a finales de 2020.

Los paquetes correspondientes al ALPHA de ALDOS 1.4.16 (no hay imágenes ISO) están disponible en http://mirror0.alcancelibre.org/aldos/1.4/alpha/ para arquitecturas x86_64 e i686.

Características:

  • Mismas características de BETA de ALDOS 1.4.15.
  • Sistema migrado de ConsoleKit a Elogind.
  • En unas semanas comienza la migración de Glibc 2.17 a Glibc 2.30.

Para probar es necesario instalar primero ALDOS-1.4.14.2-20191209, luego configurar ALDOS-Beta y finalmente crear el siguiente almacén YUM como el archivo /etc/yum.repos.d/ALDOS-Alpha.repo:

[ALDOS-Alpha]
name=ALDOS ALPHA $releasever - $basearch
baseurl=http://mirror1.alcancelibre.org/aldos/1.4/alpha/$basearch/
gpgkey=file:///etc/pki/rpm-gpg/AL-RPM-KEY
gpgcheck=1
enabled=1


Atención: Salvo que se indique lo contrario, la licencia del texto de este documento es Creative Commons Reconocimiento 2.5, mediante la cual usted tiene permitido copiar, modificar, comunicar y distribuir el contenido de este texto, de manera total o parcial, y publicarlo o difundirlo en cualquier otro sitio de Internet o medio de comunicaciòn, siempre y cuando incluya o cite (1)el nombre de este sitio de Internet, (2)enlace permanente de este documento, (3)nombre del autor y (4)la misma licencia de distribución.

Opciones: Imprimir | Recomendar | Enlace permanente

Twitter Facebook Google Bookmarks Bitacoras.com Wikio Menéame Technorati Bloglines Digg Yahoo Buzz

Seguimiento

TURL de seguimiento para esta entrada:
http://www.alcancelibre.org/trackback.php/disponible-aldos-1-4-14-2-20191209
Agrega un comentario

Los siguientes comentarios son de la persona que los haya enviado. Este sitio no se hace responsable de las opiniones expresadas por los participantes en los foros y secciones de comentarios, y el hecho de publicar las mismas no significa que esté de acuerdo con ellas.